---
updatedAt: 2026-05-27T05:24:21.000Z
agentTools:
  projectIndex: https://developers.toriihq.com/llms.txt
---

# Parse automatically

<p>Use the following code snippet to parse an expense file with automatic column matching:</p>
        <code class="hljs">curl -X PUT -d '{"idFile":"{FILE_ID}"}' -H "Authorization: Bearer API_KEY" "https://api.toriihq.com/v1.0/parsings/automatic"</code>
        <hr />
        <h3>IMPORTANT</h3>
        <p><strong>After sending a parse request, make sure to poll <code>https://api.toriihq.com/v1.0/parsings/{PARSING_ID}</code> to verify that the request was successful</strong></p>
<p><ul><li>Rate limit: 200 requests per minute</li></ul></p>

# OpenAPI definition

```json
{
  "servers": [
    {
      "url": "https://api.toriihq.com/v1.0"
    }
  ],
  "info": {
    "title": "Torii API Documentation",
    "version": "v1.0",
    "description": "The Torii API provides an easy way to integrate your data in Torii with any external system. The API closely follows REST semantics, uses JSON to encode objects, and relies on standard HTTP codes to signal operation outcomes. Torii APIs consist of both proprietary and SCIM 2.0 APIs."
  },
  "x-readme": {
    "explorer-enabled": true
  },
  "security": [
    {
      "ApiKeyAuth": []
    }
  ],
  "tags": [
    {
      "name": "Parsings",
      "description": "Following are the APIs to parse expense files within Torii."
    }
  ],
  "openapi": "3.0.0",
  "components": {
    "securitySchemes": {
      "ApiKeyAuth": {
        "type": "apiKey",
        "in": "header",
        "name": "Authorization",
        "x-bearer-format": "bearer"
      }
    },
    "schemas": {
      "AutomaticParseConfiguration": {
        "type": "object",
        "description": "Automatic parse configuration",
        "properties": {
          "idFile": {
            "type": "integer",
            "description": "Unique file identifier",
            "example": 1000,
            "minimum": 1
          }
        },
        "required": [
          "idFile"
        ]
      },
      "ParsingId": {
        "type": "object",
        "description": "Parsing ID",
        "properties": {
          "id": {
            "type": "integer",
            "description": "Unique parsing identifier",
            "example": 1000,
            "minimum": 1
          }
        }
      }
    }
  },
  "paths": {
    "/parsings/automatic": {
      "put": {
        "summary": "Parse automatically",
        "operationId": "putParsingsAutomatic",
        "description": "<p>Use the following code snippet to parse an expense file with automatic column matching:</p>\n        <code class=\"hljs\">curl -X PUT -d '{\"idFile\":\"{FILE_ID}\"}' -H \"Authorization: Bearer API_KEY\" \"https://api.toriihq.com/v1.0/parsings/automatic\"</code>\n        <hr />\n        <h3>IMPORTANT</h3>\n        <p><strong>After sending a parse request, make sure to poll <code>https://api.toriihq.com/v1.0/parsings/{PARSING_ID}</code> to verify that the request was successful</strong></p>\n<p><ul><li>Rate limit: 200 requests per minute</li></ul></p>",
        "tags": [
          "Parsings"
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/AutomaticParseConfiguration"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Parsing ID",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ParsingId"
                }
              }
            }
          }
        }
      }
    }
  }
}
```